POST /api/webhooks/auth
Receives Privy webhook events. This endpoint expects an HMAC signature in x-privy-signature.
The signature is verified against
PRIVY_WEBHOOK_SECRET.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST "https://0.finance/api/webhooks/auth" \
-H "x-privy-signature: <hex_signature>" \
-H "Content-Type: application/json" \
-d '{"type":"user.created","data":{"email":"user@example.com"}}'
{
"received": true
}
User lifecycle events from Privy
curl -X POST "https://0.finance/api/webhooks/auth" \
-H "x-privy-signature: <hex_signature>" \
-H "Content-Type: application/json" \
-d '{"type":"user.created","data":{"email":"user@example.com"}}'
{
"received": true
}
/api/webhooks/authx-privy-signature.
curl -X POST "https://0.finance/api/webhooks/auth" \
-H "x-privy-signature: <hex_signature>" \
-H "Content-Type: application/json" \
-d '{"type":"user.created","data":{"email":"user@example.com"}}'
{
"received": true
}
PRIVY_WEBHOOK_SECRET.